"use strict";
/*
 * ATTENTION: The "eval" devtool has been used (maybe by default in mode: "development").
 * This devtool is neither made for production nor for readable output files.
 * It uses "eval()" calls to create a separate source file in the browser devtools.
 * If you are trying to read the output file, select a different devtool (https://webpack.js.org/configuration/devtool/)
 * or disable the default devtool with "devtool: false".
 * If you are looking for production-ready output files, see mode: "production" (https://webpack.js.org/configuration/mode/).
 */
(self["webpackChunkweb"] = self["webpackChunkweb"] || []).push([["components_app_js"],{

/***/ "./components/app.js":
/*!***************************!*\
  !*** ./components/app.js ***!
  \***************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export */ __webpack_require__.d(__webpack_exports__, {\n/* harmony export */   \"default\": () => (__WEBPACK_DEFAULT_EXPORT__)\n/* harmony export */ });\nfunction ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }\n\nfunction _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }\n\nfunction _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }\n\nfunction _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }\n\nfunction _toArray(arr) { return _arrayWithHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableRest(); }\n\nfunction _nonIterableRest() { throw new TypeError(\"Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.\"); }\n\nfunction _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === \"string\") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === \"Object\" && o.constructor) n = o.constructor.name; if (n === \"Map\" || n === \"Set\") return Array.from(o); if (n === \"Arguments\" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }\n\nfunction _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }\n\nfunction _iterableToArray(iter) { if (typeof Symbol !== \"undefined\" && iter[Symbol.iterator] != null || iter[\"@@iterator\"] != null) return Array.from(iter); }\n\nfunction _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }\n\nfunction _typeof(obj) { \"@babel/helpers - typeof\"; return _typeof = \"function\" == typeof Symbol && \"symbol\" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && \"function\" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? \"symbol\" : typeof obj; }, _typeof(obj); }\n\n__webpack_require__(/*! !!file-loader?name=[name].[ext]!../index.html */ \"./node_modules/file-loader/dist/cjs.js?name=[name].[ext]!./index.html\");\n/* required library for our React app */\n\n\nvar ReactDOM = __webpack_require__(/*! react-dom */ \"./node_modules/react-dom/index.js\");\n\nvar React = __webpack_require__(/*! react */ \"./node_modules/react/index.js\");\n\nvar createReactClass = __webpack_require__(/*! create-react-class */ \"./node_modules/create-react-class/index.js\");\n\nvar _require = __webpack_require__(/*! @testing-library/react */ \"./node_modules/@testing-library/react/dist/@testing-library/react.esm.js\"),\n    render = _require.render;\n\nvar Qs = __webpack_require__(/*! qs */ \"./node_modules/qs/lib/index.js\");\n\nvar Cookie = __webpack_require__(/*! cookie */ \"./node_modules/cookie/index.js\");\n\nvar localhost = (__webpack_require__(/*! reaxt/config */ \"./node_modules/reaxt/config.js\").localhost);\n\nvar XMLHttpRequest = __webpack_require__(/*! xhr2 */ \"./node_modules/xhr2/lib/browser.js\");\n/* required css for our application */\n// require('./webflow/home/home.css');\n\n\n__webpack_require__(/*! ../webflow/order/order.css */ \"./webflow/order/order.css\");\n\n__webpack_require__(/*! ../webflow/loader/loader.css */ \"./webflow/loader/loader.css\");\n\n__webpack_require__(/*! ../webflow/deleteModal/deleteModal.css */ \"./webflow/deleteModal/deleteModal.css\");\n\n__webpack_require__(/*! ../webflow/orders/orders.css */ \"./webflow/orders/orders.css\"); // HTTP calls to requests our data from Elixir\n\n\nvar HTTP = new function () {\n  var _this = this;\n\n  this.get = function (url) {\n    return _this.req('GET', url);\n  };\n\n  this.delete = function (url) {\n    return _this.req('DELETE', url);\n  };\n\n  this.post = function (url, data) {\n    return _this.req('POST', url, data);\n  };\n\n  this.put = function (url, data) {\n    return _this.req('PUT', url, data);\n  };\n\n  this.req = function (method, url, data) {\n    return new Promise(function (resolve, reject) {\n      var req = new XMLHttpRequest();\n      url = typeof window !== 'undefined' ? url : localhost + url; // console.log({\"url\": url})\n\n      req.open(method, url);\n      req.responseType = \"text\";\n      req.setRequestHeader(\"accept\", \"application/json,*/*;0.8\");\n      req.setRequestHeader(\"content-type\", \"application/json\");\n\n      req.onload = function () {\n        if (req.status >= 200 && req.status < 300) {\n          // @todo remove log\n          // console.log({\"req\": req.responseText})\n          resolve(req.responseText && JSON.parse(req.responseText)); // resolve(req.responseText)\n        } else {\n          reject({\n            http_code: req.status\n          });\n        }\n      };\n\n      req.onerror = function (err) {\n        reject({\n          http_code: req.status\n        });\n      };\n\n      req.send(data && JSON.stringify(data));\n    });\n  };\n}();\nvar Link = createReactClass({\n  displayName: \"Link\",\n  statics: {\n    renderFunc: null,\n    //render function to use (differently set depending if we are server sided or client sided)\n    GoTo: function GoTo(route, params, query) {\n      // function used to change the path of our browser\n      console.log('Hello');\n      var path = routes[route].path(params);\n      var qs = Qs.stringify(query);\n      var url = path + (qs == '' ? '' : '?' + qs);\n      history.pushState({}, \"\", url);\n      Link.onPathChange();\n    },\n    onPathChange: function onPathChange() {\n      //Updated onPathChange\n      var path = location.pathname;\n      var qs = Qs.parse(location.search.slice(1));\n      var cookies = Cookie.parse(document.cookie);\n      inferPropsChange(path, qs, cookies).then( //inferPropsChange download the new props if the url query changed as done previously\n      function () {\n        Link.renderFunc( /*#__PURE__*/React.createElement(Child, browserState)); //if we are on server side we render \n      }, function (_ref) {\n        var http_code = _ref.http_code;\n        Link.renderFunc( /*#__PURE__*/React.createElement(ErrorPage, {\n          message: \"Not Found\",\n          code: http_code\n        }), http_code); //idem\n      });\n    },\n    LinkTo: function LinkTo(route, params, query) {\n      var qs = Qs.stringify(query);\n      return routes[route].path(params) + (qs == '' ? '' : '?' + qs);\n    }\n  },\n  onClick: function onClick(ev) {\n    ev.preventDefault();\n    Link.GoTo(this.props.to, this.props.params, this.props.query);\n  },\n  render: function render() {\n    //render a <Link> this way transform link into href path which allows on browser without javascript to work perfectly on the website\n    return /*#__PURE__*/React.createElement(\"a\", {\n      href: Link.LinkTo(this.props.to, this.props.params, this.props.query),\n      onClick: this.onClick\n    }, this.props.children);\n  }\n}); // Object that contains URLs of our API to request the data \n\nvar remoteProps = {\n  orders: function orders(props) {\n    // console.log({\"myyy props\": props})\n    var query = Qs.stringify(props.qs);\n    return {\n      url: \"/api/orders\" + (query == '' ? '' : '?' + query),\n      prop: \"orders\"\n    };\n  },\n  order: function order(props) {\n    return {\n      url: \"/api/order/\" + props.order_id,\n      prop: \"order\"\n    };\n  }\n};\n\nfunction addRemoteProps(props) {\n  // @todo remove log\n  // console.log({\"Hello there props\": props})\n  return new Promise(function (resolve, reject) {\n    // Here we could call `[].concat.apply` instead of `Array.prototype.concat.apply`.\n    // \".apply\" first parameter defines the `this` of the concat function called.\n    // Ex: [0,1,2].concat([3,4],[5,6])-> [0,1,2,3,4,5,6]\n    // Is the same as : Array.prototype.concat.apply([0,1,2],[[3,4],[5,6]])\n    // Also : `var list = [1,2,3]` is the same as `var list = new Array(1,2,3)`\n    var remoteProps = Array.prototype.concat.apply([], props.handlerPath.map(function (c) {\n      return c.remoteProps;\n    }) // -> [[remoteProps.orders], null]\n    .filter(function (p) {\n      return p;\n    }) // -> [[remoteProps.orders]]\n    ); // browserState.handlerPath[i].remoteProps[j]\n    // props.handlerPath[i].remoteProps[j]\n\n    remoteProps = remoteProps.map(function (spec_fun) {\n      return spec_fun(props);\n    }) // [{url: '/api/orders', prop: 'orders'}]\n    .filter(function (specs) {\n      return specs;\n    }) // get rid of undefined from remoteProps that don't match their dependencies\n    .filter(function (specs) {\n      return !props[specs.prop] || props[specs.prop].url != specs.url;\n    }); // get rid of remoteProps already resolved with the url\n\n    if (remoteProps.length == 0) return resolve(props); // All remoteProps can be queried in parallel. This is just the function definition, see its use below.\n\n    var promise_mapper = function promise_mapper(spec) {\n      // @todo remove\n      // console.log({\"Spec\": spec})\n      // we want to keep the url in the value resolved by the promise here : spec = {url: '/api/orders', value: ORDERS, prop: 'orders'}\n      return HTTP.get(spec.url).then(function (res) {\n        spec.value = res;\n        return spec;\n      });\n    };\n\n    var reducer = function reducer(acc, spec) {\n      // spec = url: '/api/orders', value: ORDERS, prop: 'user'}\n      acc[spec.prop] = {\n        url: spec.url,\n        value: spec.value\n      };\n      return acc;\n    };\n\n    var promise_array = remoteProps.map(promise_mapper);\n    return Promise.all(promise_array).then(function (xs) {\n      return xs.reduce(reducer, props);\n    }, reject).then(function (p) {\n      // recursively call remote props, because props computed from\n      // previous queries can give the missing data/props necessary\n      // to define another query\n      return addRemoteProps(p).then(resolve, reject);\n    }, reject);\n  });\n}\n\nvar orders = [{\n  remoteid: \"000000189\",\n  custom: {\n    customer: {\n      full_name: \"TOTO & CIE\"\n    },\n    billing_address: \"Some where in the world\"\n  },\n  items: 2\n}, {\n  remoteid: \"000000190\",\n  custom: {\n    customer: {\n      full_name: \"Looney Toons\"\n    },\n    billing_address: \"The Warner Bros Company\"\n  },\n  items: 3\n}, {\n  remoteid: \"000000191\",\n  custom: {\n    customer: {\n      full_name: \"Asterix & Obelix\"\n    },\n    billing_address: \"Armorique\"\n  },\n  items: 29\n}, {\n  remoteid: \"000000192\",\n  custom: {\n    customer: {\n      full_name: \"Lucky Luke\"\n    },\n    billing_address: \"A Cowboy doesn't have an address. Sorry\"\n  },\n  items: 0\n}];\n\nvar cn = function cn() {\n  var args = arguments,\n      classes = {};\n\n  for (var i in args) {\n    var arg = args[i];\n    if (!arg) continue;\n\n    if ('string' === typeof arg || 'number' === typeof arg) {\n      arg.split(\" \").filter(function (c) {\n        return c != \"\";\n      }).map(function (c) {\n        classes[c] = true;\n      });\n    } else if ('object' === _typeof(arg)) {\n      for (var key in arg) {\n        classes[key] = arg[key];\n      }\n    }\n  }\n\n  return Object.keys(classes).map(function (k) {\n    return classes[k] && k || '';\n  }).join(' ');\n};\n\nvar Page = createReactClass({\n  displayName: \"Page\",\n  render: function render() {\n    return /*#__PURE__*/React.createElement(\"div\", {\n      className: \"container\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"title_container\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"title_body\"\n    }, /*#__PURE__*/React.createElement(\"h1\", {\n      className: \"title_text\"\n    }, \"Orders\"), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"title_login_container\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"title_username\"\n    }, \"John Doe\"), /*#__PURE__*/React.createElement(\"a\", {\n      href: \"#\",\n      className: \"title_btn w-button\"\n    }, \"Login\")))), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"search_form_container\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"form-block w-form\"\n    }, /*#__PURE__*/React.createElement(\"form\", {\n      id: \"email-form\",\n      name: \"email-form\",\n      \"data-name\": \"Email Form\",\n      method: \"get\",\n      className: \"search_form_body\"\n    }, /*#__PURE__*/React.createElement(\"label\", {\n      htmlFor: \"name-4\",\n      className: \"search_form_text\"\n    }, \"Search\"), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"search_form_icon\"\n    }, \"\\uF002\"), /*#__PURE__*/React.createElement(\"input\", {\n      type: \"text\",\n      className: \"text-field search_input w-input\",\n      maxLength: 256,\n      name: \"name-3\",\n      \"data-name\": \"Name 3\",\n      placeholder: \"\",\n      id: \"name-3\"\n    }), /*#__PURE__*/React.createElement(\"a\", {\n      href: \"#\",\n      className: \"search_btn w-button\"\n    }, \"Submit\")), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"w-form-done\"\n    }, /*#__PURE__*/React.createElement(\"div\", null, \"Thank you! Your submission has been received!\")), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"w-form-fail\"\n    }, /*#__PURE__*/React.createElement(\"div\", null, \"Oops! Something went wrong while submitting the form.\")))), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"table\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"table2\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"table_container_header\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"table_container_row_header\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f33-2c93edb3\",\n      className: \"table_header_column\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f34-2c93edb3\",\n      className: \"text_header_column\"\n    }, \"Command Number\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f36-2c93edb3\",\n      className: \"table_header_column\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f37-2c93edb3\",\n      className: \"text_header_column\"\n    }, \"Customer\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f39-2c93edb3\",\n      className: \"table_header_column\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f3a-2c93edb3\",\n      className: \"text_header_column\"\n    }, \"Address\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f3c-2c93edb3\",\n      className: \"table_header_column\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"text_header_column\"\n    }, \"Quantity\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f3f-2c93edb3\",\n      className: \"table_header_column\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"text_header_column\"\n    }, \"Details\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f42-2c93edb3\",\n      className: \"table_header_column\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"text_header_column\"\n    }, \"Pay\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-_6eae559b-c311-287e-3bac-853f4cbd5f99-2c93edb3\",\n      className: \"table_header_column\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"text_header_column\"\n    }, \"Delete\")))), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"table_container_body\"\n    }, orders.map(function (order) {\n      return /*#__PURE__*/React.createElement(\"div\", {\n        className: \"table_container_row\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-ce5f7a63-e01a-d15e-4ce6-3f760408ceba-4f6d1c5f\",\n        className: \"container_text_cn\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-ce5f7a63-e01a-d15e-4ce6-3f760408cebb-4f6d1c5f\",\n        className: \"text_cn\"\n      }, order.remoteid)), /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-ce5f7a63-e01a-d15e-4ce6-3f760408cebd-4f6d1c5f\",\n        className: \"container_text_customer\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-ce5f7a63-e01a-d15e-4ce6-3f760408cebe-4f6d1c5f\",\n        className: \"text_customer\"\n      }, order.custom.customer.full_name)), /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-ce5f7a63-e01a-d15e-4ce6-3f760408cec0-4f6d1c5f\",\n        className: \"container_text_address\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-ce5f7a63-e01a-d15e-4ce6-3f760408cec1-4f6d1c5f\",\n        className: \"text_address\"\n      }, order.custom.billing_address)), /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-ce5f7a63-e01a-d15e-4ce6-3f760408cec5-4f6d1c5f\",\n        className: \"container_text_quantity\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        className: \"text_quantity\"\n      }, order.items)), /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-ce5f7a63-e01a-d15e-4ce6-3f760408cec8-4f6d1c5f\",\n        className: \"container_text_details\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        className: \"text_icon\"\n      }, \"\\uF061\")), /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-ce5f7a63-e01a-d15e-4ce6-3f760408cecb-4f6d1c5f\",\n        className: \"container_text_pay\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        className: \"icon_pay\"\n      }, \"\\uF061\"), /*#__PURE__*/React.createElement(\"div\", {\n        className: \"text_pay\"\n      }, \"Status Init\", /*#__PURE__*/React.createElement(\"br\", null), \"Payment methode : Delivery\")));\n    })))), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"navigation\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"nav_item\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"link link_nav_page\"\n    }, \"1\"))));\n  }\n});\nvar Child = createReactClass({\n  displayName: \"Child\",\n  render: function render() {\n    var _this$props$handlerPa = _toArray(this.props.handlerPath),\n        ChildHandler = _this$props$handlerPa[0],\n        rest = _this$props$handlerPa.slice(1);\n\n    return /*#__PURE__*/React.createElement(ChildHandler, _extends({}, this.props, {\n      handlerPath: rest\n    }));\n  }\n});\nvar Layout = createReactClass({\n  displayName: \"Layout\",\n  getInitialState: function getInitialState() {\n    return {\n      modal: null,\n      loader: false\n    };\n  },\n  modal: function modal(spec) {\n    var _this2 = this;\n\n    this.setState({\n      modal: _objectSpread(_objectSpread({}, spec), {}, {\n        callback: function callback(res) {\n          _this2.setState({\n            modal: null\n          }, function () {\n            if (spec.callback) spec.callback(res);\n          });\n        }\n      })\n    });\n  },\n  loader: function loader(promiseCallback) {\n    var _this3 = this;\n\n    return new Promise(function (resolve, reject) {\n      _this3.setState({\n        loader: true\n      });\n\n      promiseCallback.then(function (res) {\n        _this3.setState({\n          loader: false\n        });\n\n        resolve(res);\n      });\n    });\n  },\n  render: function render() {\n    var modal_component = {\n      'delete': function _delete(props) {\n        return /*#__PURE__*/React.createElement(DeleteModal, props);\n      }\n    }[this.state.modal && this.state.modal.type];\n    modal_component = modal_component && modal_component(this.state.modal);\n    console.log({\n      \"Layout state\": this\n    });\n\n    var props = _objectSpread(_objectSpread({}, this.props), {}, {\n      modal: this.modal,\n      loader: this.loader\n    });\n\n    return /*#__PURE__*/React.createElement(\"div\", {\n      className: \"layout\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: cn(\"modal-wrapper hidden\", {\n        'hidden': !modal_component\n      })\n    }, modal_component), /*#__PURE__*/React.createElement(\"div\", {\n      className: cn(\"loader-wrapper hidden\", {\n        'hidden': !this.state.loader\n      })\n    }, /*#__PURE__*/React.createElement(Loader, null)), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"layout-container\"\n    }, /*#__PURE__*/React.createElement(this.props.Child, props)));\n  }\n});\nvar Header = createReactClass({\n  displayName: \"Header\",\n  render: function render() {\n    return /*#__PURE__*/React.createElement(\"div\", {\n      className: \"header\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"header-container\"\n    }, /*#__PURE__*/React.createElement(this.props.Child, this.props)));\n  }\n});\nvar Orders = createReactClass({\n  displayName: \"Orders\",\n  statics: {\n    remoteProps: [remoteProps.orders]\n  },\n  getInitialState: function getInitialState() {\n    var _this4 = this;\n\n    return {\n      modalArg: {\n        type: 'delete',\n        title: 'Order deletion',\n        message: \"Are you sure you want to delete this ?\",\n        callback: function callback(value) {\n          if (value === true) {\n            _this4.props.loader(HTTP.delete(\"/api/order/\".concat(_this4.state.modalArg.commandNumber))).then(function (res) {\n              browserState = {\n                Child: browserState.Child,\n                cookie: browserState.cookie,\n                handlerPath: browserState.handlerPath,\n                path: browserState.path,\n                qs: browserState.qs,\n                route: browserState.route\n              };\n              Link.GoTo(\"orders\", null, null);\n            });\n          }\n\n          return value;\n        }\n      },\n      searchInput: \"\"\n    };\n  },\n  handleInputChange: function handleInputChange(e) {\n    var myValue = e.target.value;\n    this.setState({\n      searchInput: myValue\n    });\n  },\n  render: function render() {\n    var _this5 = this;\n\n    console.log({\n      \"Props from Layout\": this.props\n    });\n    var currentPage = this.props.qs.page ? parseInt(this.props.qs.page) : 0;\n    console.log({\n      \"Current Page\": currentPage\n    });\n    return /*#__PURE__*/React.createElement(\"div\", {\n      className: \"container\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"title_container\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"title_body\"\n    }, /*#__PURE__*/React.createElement(\"h1\", {\n      className: \"title_text\"\n    }, \"Orders\"), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"title_login_container\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"title_username\"\n    }, \"John Doe\"), /*#__PURE__*/React.createElement(\"a\", {\n      href: \"#\",\n      className: \"title_btn w-button\"\n    }, \"Login\")))), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"search_form_container\"\n    }, /*#__PURE__*/React.createElement(\"form\", {\n      id: \"email-form\",\n      name: \"email-form\",\n      \"data-name\": \"Email Form\",\n      method: \"get\",\n      className: \"search_form_body\"\n    }, /*#__PURE__*/React.createElement(\"label\", {\n      htmlFor: \"name-4\",\n      className: \"search_form_text\"\n    }, \"Search\"), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"search_form_icon\"\n    }, \"\\uF002\"), /*#__PURE__*/React.createElement(\"input\", {\n      type: \"text\",\n      className: \"text-field search_input w-input\",\n      maxLength: 256,\n      name: \"name-3\",\n      \"data-name\": \"Name 3\",\n      placeholder: \"\",\n      id: \"name-3\",\n      value: this.state.searchInput,\n      onChange: function onChange(e) {\n        return _this5.handleInputChange(e);\n      }\n    }), /*#__PURE__*/React.createElement(\"a\", {\n      href: \"#\",\n      className: \"search_btn w-button\",\n      onClick: function onClick() {\n        var payload = _this5.state.searchInput.split(\":\");\n\n        console.log({\n          \"payload\": payload\n        });\n        if (payload.length === 2) Link.GoTo(\"orders\", null, _defineProperty({}, payload[0], payload[1]));\n      }\n    }, \"Submit\"))), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"table\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"table2\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"table_container_header\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"table_container_row_header\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f33-2c93edb3\",\n      className: \"table_header_column\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f34-2c93edb3\",\n      className: \"text_header_column\"\n    }, \"Command Number\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f36-2c93edb3\",\n      className: \"table_header_column\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f37-2c93edb3\",\n      className: \"text_header_column\"\n    }, \"Customer\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f39-2c93edb3\",\n      className: \"table_header_column\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f3a-2c93edb3\",\n      className: \"text_header_column\"\n    }, \"Address\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f3c-2c93edb3\",\n      className: \"table_header_column\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"text_header_column\"\n    }, \"Quantity\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f3f-2c93edb3\",\n      className: \"table_header_column\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"text_header_column\"\n    }, \"Details\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f42-2c93edb3\",\n      className: \"table_header_column\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"text_header_column\"\n    }, \"Pay\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-_6eae559b-c311-287e-3bac-853f4cbd5f99-2c93edb3\",\n      className: \"table_header_column\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"text_header_column\"\n    }, \"Delete\")))), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"table_container_body\"\n    }, this.props.orders.value.map(function (order) {\n      return /*#__PURE__*/React.createElement(\"div\", {\n        className: \"table_container_row\",\n        key: order.id\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f47-2c93edb3\",\n        className: \"container_text_cn\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f48-2c93edb3\",\n        className: \"text_cn\"\n      }, order.id)), /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f4a-2c93edb3\",\n        className: \"container_text_customer\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f4b-2c93edb3\",\n        className: \"text_customer\"\n      }, order.full_name)), /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f4d-2c93edb3\",\n        className: \"container_text_address\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f4e-2c93edb3\",\n        className: \"text_address\"\n      }, order.email)), /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f52-2c93edb3\",\n        className: \"container_text_quantity\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        className: \"text_quantity\"\n      }, order.quantity)), /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f55-2c93edb3\",\n        className: \"container_text_details\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        className: \"text_icon\",\n        onClick: function onClick() {\n          return Link.GoTo(\"order\", order.id, null);\n        }\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        className: \"text_icon\"\n      }, \"\\uF061\"))), /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-b517adbb-03af-49b6-03ef-06eacee85f58-2c93edb3\",\n        className: \"container_text_pay\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        className: \"icon_pay\",\n        onClick: function onClick() {\n          _this5.props.loader(HTTP.get(\"/api/pay/\".concat(order.id))).then(function (res) {\n            browserState = {\n              Child: browserState.Child,\n              cookie: browserState.cookie,\n              handlerPath: browserState.handlerPath,\n              path: browserState.path,\n              qs: browserState.qs,\n              route: browserState.route\n            };\n            console.log(res);\n\n            if (res.error) {\n              alert(res.error);\n            }\n\n            Link.GoTo(\"orders\", null, null);\n          });\n        }\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        className: \"icon_pay\"\n      }, \"\\uF061\")), /*#__PURE__*/React.createElement(\"div\", {\n        className: \"text_pay\"\n      }, \"Status : \", order.status, /*#__PURE__*/React.createElement(\"br\", null), \"Payment Method : \", order.shipping_method)), /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-_3befc68a-4cc7-f89f-4b42-2d7873c83b9e-2c93edb3\",\n        className: \"container_icon_delete\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        className: \"icon_delete\",\n        onClick: function onClick() {\n          _this5.state.modalArg.commandNumber = order.id;\n\n          _this5.props.modal(_this5.state.modalArg);\n        }\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        className: \"icon_delete\"\n      }, \"\\uF2ED\"))));\n    })))), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"navigation\"\n    }, currentPage !== 0 ? /*#__PURE__*/React.createElement(\"div\", {\n      className: \"nav_item\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"link link_nav_page\",\n      onClick: function onClick() {\n        return Link.GoTo(\"orders\", null, {\n          \"page\": currentPage - 1\n        });\n      }\n    }, currentPage - 1)) : null, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"nav_item\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"link link_nav_page\",\n      onClick: function onClick() {\n        return Link.GoTo(\"orders\", null, {\n          \"page\": currentPage\n        });\n      }\n    }, currentPage)), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"nav_item\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"link link_nav_page\",\n      onClick: function onClick() {\n        return Link.GoTo(\"orders\", null, {\n          \"page\": currentPage + 1\n        });\n      }\n    }, currentPage + 1))));\n  }\n});\nvar Order = createReactClass({\n  displayName: \"Order\",\n  statics: {\n    remoteProps: [remoteProps.order]\n  },\n  render: function render() {\n    var order = this.props.order.value;\n    var shipping_address = order.shipping_address;\n    var items = order.items;\n    return /*#__PURE__*/React.createElement(\"div\", {\n      className: \"container\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"title_container\"\n    }, /*#__PURE__*/React.createElement(\"h1\", {\n      className: \"title_text\"\n    }, \"Orders\"), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"title_login_container\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"title_username\"\n    }, \"John Doe\"), /*#__PURE__*/React.createElement(\"a\", {\n      href: \"#\",\n      className: \"w-button\"\n    }, \"Login\"))), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"order_containter\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"customer_container\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-b67fc24a-d7db-950d-b2ca-a4bc9068c3fe-014faf99\",\n      className: \"customer_container_name_title\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-c40df487-7ec0-0bd6-763e-3545c04ab89d-014faf99\",\n      className: \"customer_name_title\"\n    }, \"Client :\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-_310807b1-ba6d-605f-b0b8-77db57c7b80a-014faf99\",\n      className: \"customer_container_name\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"customer_name\"\n    }, order.customer_name)), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-_8aa61b67-7b61-5628-ff33-589d74396a47-014faf99\",\n      className: \"customer_container_address_title\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-c40df487-7ec0-0bd6-763e-3545c04ab8a1-014faf99\",\n      className: \"customer_address_title\"\n    }, \"Address :\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-_30bbb6a1-e938-05c6-d1ec-d4492d9c812c-014faf99\",\n      className: \"customer_container_address\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"customer_address\"\n    }, \"\".concat(shipping_address.street.join(\" \"), \" \").concat(shipping_address.city, \" \").concat(shipping_address.postcode))), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-_7837fcd6-5046-8c62-c379-e1b52a05bac5-014faf99\",\n      className: \"customer_container_cn_title\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-c40df487-7ec0-0bd6-763e-3545c04ab8a5-014faf99\",\n      className: \"customer_cn_title\"\n    }, \"Command Number :\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-cea3bd75-fbfa-f3b1-014e-baabb67387aa-014faf99\",\n      className: \"customer_container_cn\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"customer_cn\"\n    }, order.id))), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"customer_product_container\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"order_table_columns_title\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-c40df487-7ec0-0bd6-763e-3545c04ab8ab-014faf99\",\n      className: \"column_title\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"text-block-5\"\n    }, \"Product Name\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-c40df487-7ec0-0bd6-763e-3545c04ab8ae-014faf99\",\n      className: \"column_title\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"text-block-5\"\n    }, \"Quantity\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-c40df487-7ec0-0bd6-763e-3545c04ab8b1-014faf99\",\n      className: \"column_title\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"text-block-5\"\n    }, \"Unit price\")), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-c40df487-7ec0-0bd6-763e-3545c04ab8b4-014faf99\",\n      className: \"column_title\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"text-block-5 end-row-right\"\n    }, \"Total Price\"))), /*#__PURE__*/React.createElement(\"div\", {\n      id: \"w-node-_4753eed3-1119-5c1e-eec3-71642a316539-014faf99\",\n      className: \"order_table_body\"\n    }, items.map(function (item) {\n      return /*#__PURE__*/React.createElement(\"div\", {\n        className: \"order_table_row\",\n        key: item.product_title\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-_0fc04a2c-564d-da61-246b-e127ff1c939e-014faf99\",\n        className: \"order_product_name\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        className: \"text_product_name\"\n      }, item.product_title)), /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-_0fc04a2c-564d-da61-246b-e127ff1c93a1-014faf99\",\n        className: \"order_quantity\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        className: \"text_quantity\"\n      }, item.quantity_to_fetch)), /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-_0fc04a2c-564d-da61-246b-e127ff1c93a4-014faf99\",\n        className: \"order_unit_price\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        className: \"text_unit_price\"\n      }, item.unit_price)), /*#__PURE__*/React.createElement(\"div\", {\n        id: \"w-node-_0fc04a2c-564d-da61-246b-e127ff1c93a7-014faf99\",\n        className: \"order_total_price\"\n      }, /*#__PURE__*/React.createElement(\"div\", {\n        className: \"text_total_price end-row-right\"\n      }, item.quantity_to_fetch * item.unit_price)));\n    }))), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"previous_container\"\n    }, /*#__PURE__*/React.createElement(\"a\", {\n      href: \"/\"\n    }, \"Go Back\"))));\n  }\n});\nvar ErrorPage = createReactClass({\n  displayName: \"ErrorPage\",\n  render: function render() {\n    return /*#__PURE__*/React.createElement(\"div\", {\n      className: \"loader-wrapper\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"loader-content\"\n    }, /*#__PURE__*/React.createElement(\"img\", {\n      src: \"https://uploads-ssl.webflow.com/628360c0753f8a635a6d1c5e/6284e1b54c694dc848dc5147_test.svg\",\n      loading: \"lazy\",\n      alt: \"\"\n    })));\n  }\n});\nvar DeleteModal = createReactClass({\n  displayName: \"DeleteModal\",\n  render: function render() {\n    var _this6 = this;\n\n    return /*#__PURE__*/React.createElement(\"div\", {\n      className: \"modal-content\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"modal_container_header\"\n    }, /*#__PURE__*/React.createElement(\"h1\", {\n      className: \"modal_text_header\"\n    }, this.props.message)), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"modal_container_body\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"modal_container_btn\",\n      onClick: function onClick() {\n        return _this6.props.callback(true);\n      }\n    }, /*#__PURE__*/React.createElement(\"a\", {\n      href: \"#\",\n      className: \"modal_btn_yes modal_btn w-button\"\n    }, \"Oui\")), /*#__PURE__*/React.createElement(\"div\", {\n      className: \"modal_container_btn\",\n      onClick: function onClick() {\n        return _this6.props.callback(false);\n      }\n    }, /*#__PURE__*/React.createElement(\"a\", {\n      href: \"#\",\n      className: \"modal_btn_no modal_btn w-button\"\n    }, \"Non\"))));\n  }\n});\nvar Loader = createReactClass({\n  displayName: \"Loader\",\n  render: function render() {\n    return /*#__PURE__*/React.createElement(\"div\", {\n      className: \"loader-wrapper\"\n    }, /*#__PURE__*/React.createElement(\"div\", {\n      className: \"loader-content\"\n    }, /*#__PURE__*/React.createElement(\"img\", {\n      src: \"https://uploads-ssl.webflow.com/628360c0753f8a635a6d1c5e/6284e1b54c694dc848dc5147_test.svg\",\n      loading: \"lazy\",\n      alt: \"\"\n    })));\n  }\n});\nvar routes = {\n  \"orders\": {\n    path: function path(params) {\n      return \"/\";\n    },\n    match: function match(path, qs) {\n      // return (path == \"/\") && {handlerPath: [Page]} // Note that we use the \"&&\" expression to simulate a IF statement\n      return path == \"/\" && {\n        handlerPath: [Layout, Header, Orders]\n      };\n    }\n  },\n  \"order\": {\n    path: function path(params) {\n      return \"/order/\" + params;\n    },\n    match: function match(path, qs) {\n      var r = new RegExp(\"/order/([^/]*)$\").exec(path);\n      return r && {\n        handlerPath: [Layout, Header, Order],\n        order_id: r[1]\n      }; // Note that we use the \"&&\" expression to simulate a IF statement\n    }\n  }\n};\nvar browserState = {};\n\nfunction inferPropsChange(path, query, cookies) {\n  // the second part of the onPathChange function have been moved here\n  browserState = _objectSpread(_objectSpread({}, browserState), {}, {\n    path: path,\n    qs: query,\n    Link: Link,\n    Child: Child\n  });\n  var route, routeProps;\n\n  for (var key in routes) {\n    routeProps = routes[key].match(path, query);\n\n    if (routeProps) {\n      route = key;\n      break;\n    }\n  }\n\n  if (!route) {\n    return new Promise(function (res, reject) {\n      return reject({\n        http_code: 404\n      });\n    });\n  }\n\n  browserState = _objectSpread(_objectSpread(_objectSpread({}, browserState), routeProps), {}, {\n    route: route\n  });\n  return addRemoteProps(browserState).then(function (props) {\n    browserState = props;\n  });\n}\n\n/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({\n  reaxt_server_render: function reaxt_server_render(params, render) {\n    console.log(\"Helllo There Server\");\n    inferPropsChange(params.path, params.query, params.cookies).then(function () {\n      render( /*#__PURE__*/React.createElement(Child, browserState));\n    }, function (err) {\n      render( /*#__PURE__*/React.createElement(ErrorPage, {\n        message: \"Not Found :\" + err.url,\n        code: err.http_code\n      }), err.http_code);\n    });\n  },\n  reaxt_client_render: function reaxt_client_render(initialProps, render) {\n    console.log(\"Helllo There Client\");\n    browserState = initialProps;\n    Link.renderFunc = render;\n    window.addEventListener(\"popstate\", function () {\n      Link.onPathChange();\n    });\n    Link.onPathChange();\n  }\n});\n\n//# sourceURL=webpack://web/./components/app.js?");

/***/ }),

/***/ "./node_modules/file-loader/dist/cjs.js?name=[name].[ext]!./index.html":
/*!*****************************************************************************!*\
  !*** ./node_modules/file-loader/dist/cjs.js?name=[name].[ext]!./index.html ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export */ __webpack_require__.d(__webpack_exports__, {\n/* harmony export */   \"default\": () => (__WEBPACK_DEFAULT_EXPORT__)\n/* harmony export */ });\n/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (__webpack_require__.p + \"index.html\");\n\n//# sourceURL=webpack://web/./index.html?./node_modules/file-loader/dist/cjs.js?name=%5Bname%5D.%5Bext%5D");

/***/ })

}]);